Bug 995696 - [abrt] [kde] libreoffice-core-4.1.0.4-5.fc19: __gnu_cxx::__verbose_terminate_handler: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] [kde] libreoffice-core-4.1.0.4-5.fc19: __gnu_cxx::__verbose_terminate_...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
abrt_hash:01a0c1449ff692acbbc4927e602...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 03:27 EDT by Bug Reporter
Modified: 2015-07-13 13:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 07:26:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.35 KB, text/plain)
2013-08-10 03:27 EDT, Bug Reporter
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-10 03:27 EDT, Bug Reporter
no flags Details
File: core_backtrace (23.35 KB, text/plain)
2013-08-10 03:27 EDT, Bug Reporter
no flags Details
File: dso_list (28.90 KB, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details
File: environ (3.15 KB, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details
File: maps (135.21 KB, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details
File: open_fds (839 bytes, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-08-10 03:28 EDT, Bug Reporter
no flags Details

  None (edit)
Description Bug Reporter 2013-08-10 03:27:40 EDT
Version-Release number of selected component:
libreoffice-core-4.1.0.4-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///var/tmp/Merkel%20Leutheusser%20130809.docx --splash-pipe=5
crash_function: __gnu_cxx::__verbose_terminate_handler
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug  9 19:23:52 LPZ-15236 abrt[1936]: Saved core dump of pid 1849 (/usr/lib64/libreoffice/program/soffice.bin) to /var/tmp/abrt/ccpp-2013-08-09-19:23:51-1849 (111595520 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __gnu_cxx::__verbose_terminate_handler at ../../../../libstdc++-v3/libsupc++/vterminate.cc:95
 #3 __cxxabiv1::__terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:38
 #4 std::terminate at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:48
 #5 __cxxabiv1::__cxa_rethrow at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:122
 #6 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:952
 #7 sendEvent at kernel/qcoreapplication.h:231
 #8 QTimerInfoList::activateTimers at kernel/qeventdispatcher_unix.cpp:621
 #9 timerSourceDispatch at kernel/qeventdispatcher_glib.cpp:186
 #13 g_main_context_iteration at gmain.c:3762
 #14 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:425
Comment 1 Bug Reporter 2013-08-10 03:27:48 EDT
Created attachment 785096 [details]
File: backtrace
Comment 2 Bug Reporter 2013-08-10 03:27:52 EDT
Created attachment 785097 [details]
File: cgroup
Comment 3 Bug Reporter 2013-08-10 03:27:57 EDT
Created attachment 785098 [details]
File: core_backtrace
Comment 4 Bug Reporter 2013-08-10 03:28:02 EDT
Created attachment 785099 [details]
File: dso_list
Comment 5 Bug Reporter 2013-08-10 03:28:06 EDT
Created attachment 785100 [details]
File: environ
Comment 6 Bug Reporter 2013-08-10 03:28:10 EDT
Created attachment 785101 [details]
File: limits
Comment 7 Bug Reporter 2013-08-10 03:28:22 EDT
Created attachment 785102 [details]
File: maps
Comment 8 Bug Reporter 2013-08-10 03:28:25 EDT
Created attachment 785103 [details]
File: open_fds
Comment 9 Bug Reporter 2013-08-10 03:28:29 EDT
Created attachment 785104 [details]
File: proc_pid_status
Comment 10 Milan Bouchet-Valat 2013-08-12 14:16:13 EDT
Crashed when trying to undo/redo and editing too quickly.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: __gnu_cxx::__verbose_terminate_handler
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.5-201.fc19.x86_64
package:        libreoffice-core-4.1.0.4-6.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 11 Milan Bouchet-Valat 2013-08-12 14:18:22 EDT
I'm using GNOME, so this has nothing to do with KDE. Please change the subject line.
Comment 12 Stephan Bergmann 2013-08-13 02:32:13 EDT
(In reply to Milan Bouchet-Valat from comment #11)
> I'm using GNOME, so this has nothing to do with KDE. Please change the
> subject line.

Your crash can very well be something completely different to the original one, just happen to have the top five stack frames in common (which would be true for all crashes due to an uncaught C++ exception rethrow), and some crash report tooling unfortunately considered it to be a duplicate.  (Is your problem on GNOME reproducible?)
Comment 13 Milan Bouchet-Valat 2013-08-13 05:38:02 EDT
Ah, indeed, thanks for the suggestion. My backtrace looks different except for abort handlers; ABRT likely needs a fix to distinguish these traces. I've filed my own bug upstream at https://bugs.freedesktop.org/show_bug.cgi?id=68046.

Note You need to log in before you can comment on or make changes to this bug.